Bug 2028971 - 100% of the cco-metrics/cco-metrics targets in openshift-cloud-credential-operator namespace are down
Summary: 100% of the cco-metrics/cco-metrics targets in openshift-cloud-credential-ope...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Credential Operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.z
Assignee: Akhil Rane
QA Contact: wang lin
URL:
Whiteboard:
Depends On: 2027750
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-03 20:53 UTC by OpenShift BugZilla Robot
Modified: 2022-01-12 09:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-12 09:47:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cloud-credential-operator pull 430 0 None open [release-4.6] Bug 2028971: Check for aws status in infra platform status field before client setup 2021-12-03 21:00:04 UTC
Red Hat Product Errata RHBA-2022:0025 0 None None None 2022-01-12 09:47:29 UTC

Comment 1 wang lin 2021-12-06 03:25:54 UTC
Verified with cluster-bot image(4.6.0-0.ci.test-2021-12-06-014637-ci-ln-xtmsdqb-latest) with the PR merged , because cco in ocp version 4.6 doesn't have secret annotator implementation for osp,so launch an osp cluster.

1. check platform is openstack
$ oc get infrastructure cluster -o json | jq -r ".status.platformStatus"
{
  "openstack": {
    "apiServerInternalIP": "192.168.0.5",
    "ingressIP": "192.168.0.7"
  },
  "type": "OpenStack"
}
2. check cco pod works well
3. create an aws root secret, check cco pod won't hit crash
time="2021-12-06T03:21:19Z" level=info msg="observed admin cloud credential secret event" namespace=kube-system secret=aws-creds
time="2021-12-06T03:21:19Z" level=info msg="requeueing all CredentialsRequests"
time="2021-12-06T03:21:19Z" level=info msg="syncing credentials request" controller=credreq cr=openshift-cloud-credential-operator/openshift-image-registry-azure
..............

time="2021-12-06T03:21:20Z" level=info msg="Verified cloud creds can be used for minting new creds" controller=secretannotator
time="2021-12-06T03:21:20Z" level=info msg="syncing cluster operator status" controller=secretannotator_status
time="2021-12-06T03:21:20Z" level=info msg="calculated upgradeable condition" condition="&{Upgradeable True 0001-01-01 00:00:00 +0000 UTC  }"
time="2021-12-06T03:21:20Z" level=info msg="cluster operator status updated" controller=secretannotator_status
time="2021-12-06T03:21:28Z" level=info msg="calculating metrics for all CredentialsRequests" controller=metrics
time="2021-12-06T03:21:28Z" level=warning msg="Secret missing mode annotation, assuming ModeUnknown" controller=metrics

Comment 6 errata-xmlrpc 2022-01-12 09:47:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.53 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:0025


Note You need to log in before you can comment on or make changes to this bug.